दिलचस्प पोस्ट
क्या JTextField में केवल संख्यात्मक मान स्वीकार करने का कोई तरीका है? #pragma टिप्पणी (lib, "xxx.lib") लिनक्स के समकक्ष है? एक एएसपी.नेट एप्लिकेशन को पाठ में भाषण में परिवर्तित करना जावास्क्रिप्ट: अलर्ट। दिखाएँ (संदेश) ASP.NET कोड-पीछे से JSP / Servlet वेब अनुप्रयोग में पृष्ठभूमि टाइमर कार्य ActionBarActivity पर AppCompatActivity की वृद्धि क्या है? डगर 2 में अवयवों में प्राप्तकर्ता विधियों का उद्देश्य क्या है? पायथन शब्दकोशों को विलय शुद्ध सीएसएस पतन / div विस्तृत करें ईक्लिप्स जावा; निर्यात जार, संदर्भित पुस्तकालयों में शामिल हैं, बिना फ़ातजर मैं प्रत्येक उपयोगकर्ता के लिए एक नवीनतम रिकॉर्ड तिथि के लिए SQL कैसे पूछूं? मैं एक SQLAlchemy संचालित अनुप्रयोग कैसे प्रोफाइल कर सकता हूं? कुछ मामलों में क्यों स्कैनएफ () की आवश्यकता है और ऑपरेटर (पता-ऑफ) और दूसरों को नहीं? python3 प्रिंट यूनिकोड को Windows XP कंसोल सांकेतिक शब्दों में बदलना सीपी 437 डब्ल्यूपीएफ में एन्टेस कीप्रेस पर अगले नियंत्रण पर चल रहा है

मैक ओएस एक्स 10.8 / एक्सकोड 4.4 पर जीसीसी का उपयोग कैसे करें

मैंने माउंटेन शेर (मैक ओएस एक्स 10.8) स्थापित किया है और अब जीसीसी अब और उपलब्ध नहीं दिखता है। मैंने भी Xcode 4.4 इंस्टॉल किया है ताकि कोई और नहीं / डेवलपर निर्देशिका हो।

मैक बंदरगाहों और रूबी रत्नों (मूल एक्सटेंशन वाले) के लिए मुझे जीसीसी की आवश्यकता है

क्या Xcode 4.4 में जीसीसी शामिल है या क्या जीसीसी स्थापित करने का कोई तरीका है?

Solutions Collecting From Web of "मैक ओएस एक्स 10.8 / एक्सकोड 4.4 पर जीसीसी का उपयोग कैसे करें"

अद्यतन करें:

अब आप केवल अपने टर्मिनल से निम्न कमांड चला सकते हैं:

xcode-select --install 

Xcode 4.3 के साथ शुरू करना – अब आपको मैन्युअल रूप से Xcode menu > Preferences > Downloads से कमांड लाइन टूल इंस्टॉल करना होगा।

मैन्युअल इंस्टॉल छवि

वैकल्पिक रूप से, माउंटेन शेर (10.8) और मावेरिक्स (10.9) के लिए स्टैंड-अलोन इंस्टॉलेशन पैकेज हैं।

यह पैकेज टर्मिनल के माध्यम से कमांड लाइन डेवलपर उपकरण, साथ ही साथ मैक ओएस एक्स एसडीके फ्रेमवर्क्स और हेडर स्थापित करके UNIX- शैली के विकास को सक्षम करता है। कई उपयोगी उपकरण शामिल हैं, जैसे कि ऐप्पल एलएलवीएम कंपाइलर, लिंकर, और मेक। यदि आप Xcode का उपयोग करते हैं, तो ये उपकरण Xcode IDE के भीतर भी एम्बेडेड होते हैं, और Xcode 4.3 और बाद के संस्करण में डाउनलोड प्राथमिकताएं फलक का उपयोग करके आपके सिस्टम पर इंस्टॉल किया जा सकता है। इस पैकेज को मैक ओएस एक्स 10.7.3 या बाद के संस्करण की आवश्यकता है।

मैंने पाया कि शेर से अपग्रेड करने के बाद मेरी स्थापना विफल रही थी क्योंकि यह जीएससी / usr/bin/gcc-4.2 में देख रहा था। अब डिफ़ॉल्ट स्थापना पथ / usr / bin / gcc है

मेरी त्रुटि इस तरह दिख रही है:

 make: /usr/bin/gcc-4.2: No such file or directory 

एक सिमलिंक समस्या का समाधान करेगा:

 sudo ln -s /usr/bin/gcc /usr/bin/gcc-4.2 

बस इसे टर्मिनल में पेस्ट करें:

 export PATH=/Applications/Xcode.app/Contents/Developer/Toolchains/XcodeDefault.xctoolchain/usr/bin:/Applications/Xcode.app/Contents/Developer/usr/bin:$PATH 

मुझे आशा है कि वह मदद करेंगे!

प्री-1.9.3 माउंटेन शेर पर रूबी

पूर्व आवश्यक वस्तुएँ

 Xcode 4.4, Xcode Command Line Tools Homebrew XQuartz 2.7.2 or later. rbenv/ruby-build or RVM. 

जीसीसी स्थापित करें

ध्यान दें, Xcode कमांड लाइन टूल्स में जीसीसी शामिल नहीं है, इसमें एलएलवीएम-जीसीसी शामिल है। उसी तरह का, लेकिन भिन्न।

 $ brew tap homebrew/dupes $ brew install apple-gcc42 

निम्नलिखित को अपने ~ / .profile या समकक्ष में जोड़ें:

 export CC=/usr/local/bin/gcc-4.2 

और नीचे दिए गए आदेशों को स्थापित करने से पहले अपने शेल को पुनः लोड करें।

RVM इंस्टॉल करें

 CFLAGS="-I/opt/X11/include" rvm reinstall ree 

रूबी स्थापित करें

 Prefix the install command with CFLAGS="-I/opt/X11/include" 

फिर अपनी नई रूबी को डिफ़ॉल्ट के रूप में सेट करने के लिए:

 user$ rvm use 1.9.2 --default 

फिर अपने रूबी संस्करण की जांच करें:

 user$ ruby -v 

ऐसे उपयोगकर्ताओं के लिए, जो एप्पल से एक्सकोड का एक बिल्ड डाउनलोड कर सकते हैं, लेकिन कमांड लाइन टूल नहीं

तुलनीय प्रश्न के लिए एक स्वीकृत उत्तर में केनेथरेित्ज़ / ओएसएक्स-जीसीसी-इंस्टॉलर का सुझाव दिया गया है । उस 'ओएसएक्स जीसीसी इंस्टालर' क्षेत्र में, दो विकल्पों में से पहले पूर्व निर्मित बायनेरिज़ हैं – हिम तेंदुए और शेर के लिए, लेकिन माउंटेन शेर के लिए नहीं। क्या शामिल है यह ध्यान में रखते हुए, मुझे 10.8 के किसी भी निर्माण पर Xcode के संस्करण 4.4 को स्थापित करने के बाद उस प्रोजेक्ट के जीसीसी -10.7-वी 2.pkg का उपयोग करने की अनुशंसा नहीं करनी चाहिए।

डेवलपर टूल्स के लिए एप्पल ओपन सोर्स के संदर्भ में, अधिक प्रासंगिक विकल्प अपना बनाते हैं

जीसीसी के लिए सूत्र, 10.8 के साथ संगतता

हाल ही में प्रकाशित डेवलपर टूल के लिए एप्पल ओपन सोर्स 4.3 जीसीसी के बिना है 4.1 क्षेत्र में जीसीसी के लिए स्रोत 10.8 के साथ प्रयोग के लिए बहुत पुराना हो सकता है

सबसे हालिया रिहाई के लिए जीसीसी होम पेज

X86_64-apple-darwin10.8.0 के परिणाम के लिए जीसीसी 4.7 लिंक के लिए स्थिति बनाएं

एप्पल कमांड लाइन टूल्स (सीएलटी) के लिए .mpkg इंस्टालर प्रदान करता है, लेकिन वे सामान्यतः लिंक को बेनकाब नहीं करते हैं। इसमें जीसीसी शामिल है आप XCode डाउनलोड / इंस्टॉल करने के बिना इसे इंस्टॉल कर सकते हैं

यहां कमांड लाइन टूल्स w / GCC डाउनलोड करें।

आप इस Makefile के साथ खुद को संकलित कर सकते हैं यदि आप खुद को 2-5 घंटे बचाने के लिए चाहते हैं, तो मैंने मैक ओएसएक्स माउंटेन शेर के लिए जीसीसी 4.7.2 के साथ एक हस्ताक्षरित इंस्टॉलर पैकेज बनाया है जिसे आप यहां डाउनलोड कर सकते हैं ।

आप जीएससी के माउंटेन शेर के लिए इंस्टॉलर (.pkg फ़ाइल) सबसे पुराना संस्करण डाउनलोड कर सकते हैं। आप इसे डाउनलोड करने और स्थापित करने के लिए सिमली की जरूरत है।

https://github.com/kennethreitz/osx-gcc-installer/downloads

मैं ओएस एक्स 10.9 मेवेरिक्स का उपयोग कर रहा हूँ मैं केवल जीसीसी-वी टाइप किया हुआ था प्रणाली ने तुरंत जीसीसी डाउनलोड की बिना किसी Xcode के स्थापित होने के पूरा होने पर स्थापना। परीक्षण "हैलो, दुनिया!" काम करता है।